#!/usr/bin/env sh


#--------[ FAKE//OS System Variables ]--------#
export VISUAL=emacs
export EDITOR=vim
export FAKE_PATH=/opt/fakeos
. $FAKE_PATH/src/fake_environment.sh 2>/dev/null


#--------[ Master Paths ]--------#
if ! [ "$(echo $PATH | grep sbin)" ]; then
  export PATH="$PATH:/sbin:/usr/sbin:/usr/local/sbin"
fi
if ! [ "$(echo $PATH | grep games)" ]; then
  export PATH="$PATH:/sbin:/usr/sbin:/usr/local/sbin:/usr/games"
fi


#--------[ Terminal Colours ]--------#
FCOL0="\e[0m"
FCOL1="\e[37m\033[38;5;166m"
FCOL2="\e[37m\033[38;5;204m"
FCOL3="\e[37m\033[38;5;170m"
FCOLGRAD="lolcat -p 4 -S 6 -F 0.1"
FCOLBOLD="\e[1m"
FCOLITAL="\e[2;3m"


#--------[ CLI Prompt ]--------#
if [ "$(whoami)" == "root" ]; then
  PS1="\[${FCOL0}\]\[[${FCOL1}\]\u\[${FCOL0}\]@\[${FCOL1}\]\h\[${FCOL0}\]] \W \$ " # root
else
  PS1="\[${FCOL0}\]\[[${FCOL3}\]\u\[${FCOL0}\]@\[${FCOL3}\]\h\[${FCOL0}\]] \W \$ " # non-root
fi


#--------[ Login Display ]--------#
echo ""
if [ "$(command -v lolcat)" ]; then
  cat $FAKE_PATH/assets/logo_full.txt | $FCOLGRAD
else
  cat $FAKE_PATH/assets/logo_full.txt
fi
echo ""
echo -e "${FCOL1}user:${FCOL0} $(whoami)    ${FCOL2}login:${FCOL0} $ENV_LOGIN    ${FCOL3}system:${FCOL0} $ENV_ARCH $ENV_DISTRO"
echo ""
